export const TableColumns = [
  { key: "authorizedProductsCode", title: "授权产品 编码", show: true, width: 160 },
  { key: "dealerName", title: "经销商名称", show: true, width: 200 },
  { key: "authorizedAreaCode", title: "授权区域/医院 编码", show: false, },
  { key: "authorizedAreaName", title: "授权区域/医院 名称", show: true, width: 200 },
  { key: "authorizedProductsName", title: "授权产品 名称", show: true, width: 200 },
  { key: "status", title: "状态", show: true },
  { key: "createPerson", title: "创建人", show: true },
  { key: "createTime", title: "创建时间", show: true, width: 160 },
  { key: "updatePerson", title: "最后修改人", show: true },
  { key: "updateTime", title: "最后修改时间", show: true, width: 160 },
  { key: "id", title: "主键id----该值不显示", show: false },
  { key: "startTime", title: "开始时间", show: false },
  { key: "endTime", title: "结束时间", show: false },
  { key: "issueTime", title: "授权书开具时间", show: false },
]

export const SearchColumns = [
  { key: "dealerName", title: "经销商名称", type: "Input" },
  { key: "authorizedAreaName", title: "授权区域/医院", type: "Input" },
  { key: "authorizedProductsName", title: "授权产品", type: "Input" },
  // 单据状态0=自由态，1=审批中，2=已审核，3=已驳回
  {
    key: "status", title: "状态", type: "Select", options: [
      { value: 0, label: '自由态' },
      { value: 1, label: '审批中' },
      { value: 2, label: '已审核' },
      { value: 3, label: '已驳回' },
    ]
  },
  // { title: "授权时间", key: "time", type: "DateRange" },
  {
    title: "授权时间",
    key: "startTime",
    type: "Date",
    config: {
      placeholder: '开始时间'
    }
  },
  {
    title: "至",
    key: "endTime",
    type: "Date",
    config: {
      placeholder: '结束时间'
    }
  },
]

export const FormColumns = [
  { title: '经销商名称', key: 'dealerName', type: 'Input' },
  { title: '授权区/医院', key: 'authorizedAreaName', type: 'Input' },
  { title: '授权产品', key: 'authorizedProductsName', type: 'Input' },
  { title: '授权期限', key: 'time', type: 'DateRange' },
  { title: '授权书开具时间', key: 'issueTime', type: 'Date' },
]