export const SearchColumns = [
  {
    item:{
      key: "codes",
      title: "物料编码",  
    },
    attr:{
      clearable:true,
      is: "el-popover-multiple-select-v2",
      valueKey: "code",
      referName: "MATERIAL_PARAM",
    },
  },
  {
    item: { key: "materialCodes", title: "物料编码" },
    attr: {
      clearable: true,
      is: "el-input",
      placeholder: '多物料编码使用 , 隔开',
    },
  },
  {
    item:{
      key: "name",
      title: "物料名称",  
    },
    attr:{
      clearable:true,
      is: "el-popover-select-v2",
      valueKey: "name",
      referName: "MATERIAL_PARAM",
    },
  },
  // diCode
  {
    item:{
      key: "diCode",
      title: "DI",
    },
    attr: {
      clearable:true,
      is: "el-input",
    },
  },
  {
    item: {
      key: "classifys",
      title: "物料分类",
    },
    attr: {
      is: "el-popover-multiple-tree-select",
      referName: "MATERIALCLASSIFY_PARAM",
      valueKey: "id",
      clearable:true,
      // dataMapping: {
      //   classifys: "id",
      // },
    },
  },
  {
    item:{
      key: "puPersonnelIdName",
      title: "采购员",
    },
    attr: {
      clearable:true,
      is: "el-popover-select-v2",
      referName: "CONTACTS_PARAM",
      valueKey: "name",
      dataMapping: {
        puPersonnelId: "code",
      },
    },
  },
  {
    item:{
      key: "manufacturerIdName",
      title: "生产厂家/代理人",  
    },
    attr:{
      clearable:true,
      is: "el-popover-select-v2",
      valueKey: "name",
      referName: "MANUFACTURER_PARAM",
      dataMapping: {
        manufacturerId: "id",
      },
    },
  },
  {
    item:{
      key: "isEnable",
      title: "启用状态",  
    },
    attr:{
      clearable:true,
      is: "el-select",
      dictName: "material_enable",
    },
  },
  {
    item:{
      key: "isMedicine",
      title: "是否医药物料",  
    },
    attr:{
      clearable:true,
      is: "el-select",
      dictName: "sys_number_yes_no",
    },
  },
  {
    item:{
      key: "medicalInstruments",
      title: "管理类别",  
    },
    attr:{
      clearable:true,
      is: "el-select",
      dictName: "medical_instruments",
    },
  },
  {
    item:{
      key: "specification",
      title: "规格",
    },
    attr: {
      clearable:true,
      is: "el-input",
    },
  },
  {
    item:{
      key: "model",
      title: "型号",
    },
    attr: {
      clearable:true,
      is: "el-input",
    },
  },
  // {
  //   item:{
  //     key: "model",
  //     title: "品牌",
  //   },
  //   attr: {
  //     clearable:true,
  //     is: "el-input",
  //   },
  // },
  {
    item:{
      key: "version",
      title: "版本号",
    },
    attr: {
      clearable:true,
      is: "el-input",
    },
  },
  {
    item:{
      key: "registrant",
      title: "注册人",
    },
    attr: {
      clearable:true,
      is: "el-input",
    },
  },
  {
    item:{
      key: "registrationNo",
      title: "注册证号",
    },
    attr: {
      clearable:true,
      is: "el-input",
    },
  },
  {
    item:{
      key: "serialNoManager",
      title: "是否序列号管理",  
    },
    attr:{
      clearable:true,
      is: "el-select",
      dictName: "sys_number_yes_no",
    },
  },

  {
    item:{
      key: "createByName",
      title: "创建人",
    },
    attr: {
      clearable:true,
      is: "el-popover-select-v2",
      referName: "CONTACTS_PARAM",
      valueKey: "name",
      dataMapping: {
        createBy: "code",
      },
    },
  },
  
  {
    item:{
      key: "updateByName",
      title: "最后修改人",
    },
    attr: {
      clearable:true,
      is: "el-popover-select-v2",
      referName: "CONTACTS_PARAM",
      valueKey: "name",
      dataMapping: {
        updateBy: "code",
      },
    },
  },
  {
    item:{
      key: "createTimeQueue",
      title: "创建时间",
      span:12,
    },
    attr: {
      clearable:true,
      is: "el-date-wrapper",
    },
  },
  // {
  //   item:{
  //     key: "createTimeEnd",
  //     title: "创建时间结束",
  //   },
  //   attr: {
  //     clearable:true,
  //     is: "el-input",
  //   },
  // },
  {
    item:{
      key: "updateTimeQueue",
      title: "修改时间",
      span:12,
    },
    attr: {
      clearable:true,
      is: "el-date-wrapper",
    },
  },
  // {
  //   item:{
  //     key: "updateTimeBegin",
  //     title: "最后修改时间开始",
  //   },
  //   attr: {
  //     clearable:true,
  //     is: "el-input",
  //   },
  // },
  // {
  //   item:{
  //     key: "updateTimeEnd",
  //     title: "最后修改时间结束",
  //   },
  //   attr: {
  //     clearable:true,
  //     is: "el-input",
  //   },
  // },

  




  
  
  
];

export const OtherDictColumns = [
  {
    item:{
      key:"expiryUnitId",
      title:'效期单位',
    },
    attr:{
      is: "el-select",
      dictName: "period_unit",
    }
  },
  {
    item:{
      key:'usefulLifeUnitId',
      title:'有效期至单位',
    },
    attr:{
      is: "el-select",
      dictName: "expiry_date",
    }
  },
 
 
  {
    item:{
      key: "registrant",
      title: "注册人/上市许可持有人",
    },
    attr: {
      clearable:true,
      is: "el-input",
    },
  },
  {
    item:{
      key: "isSync",
      title: "是否同步NC",  
    },
    attr:{
      clearable:true,
      is: "el-select",
      dictName: "sys_number_yes_no",
    },
  },
 
  {
    item:{
      key: "storageCondition",
      title: "存储条件",  
    },
    attr:{
      clearable:true,
      is: "el-select",
      dictName: "sys_storage_condition",
    },
  },
  {
    item:{
      key: "transportationCondition",
      title: "运输条件",  
    },
    attr:{
      clearable:true,
      is: "el-select",
      dictName: "sys_conditions_carriage",
    },
  },
  
  {
    item:{
      key:'classifyAbc',
      title:'ABC分类',
    },
    attr:{
      clearable:true,
      is: "el-select",
      dictName: "abc_type",
    }
  },
  
]
