export default function useColumns(){

  const TableColumns = [
    {
      item:{
        key:'code',
        title:'单据编码',
      },
      attr:{
        is: "el-input",
        disabled:true,
      },
    },
    {
      item:{
        key:'orgName',
        title:'所属组织',
      },
      attr:{
        is: "el-popover-select-v2",
        valueKey: "name",
        referName: "ORG_PARAM",
        dataMapping: {
          orgId:'id'
        },
        disabled:true,
      },
    },
    {
      item:{
        key:'status',
        title:'单据状态',
      },
      attr:{
        is: "el-select",
        dictName: "documents_status", // 字典名
        disabled:true,
      },
    },
    // {
    //   item:{
    //     key:'approver',
    //     title:'申请人',
    //   },
    //   attr:{
    //     is: "el-input",
    //     disabled:true,
    //   },

    // },
    {
      item:{
        key:'applicationTime',
        title:'申请时间',
      },
      attr:{
        is: "el-date-picker",
        valueFormat: "yyyy-MM-dd HH:mm:ss",
        disabled:true,
      },

    },
    {
      item:{
        key:'createByName',
        title:'创建人',
      },
      attr:{
        is: "el-input",
        disabled:true,
      },

    },
    {
      item:{
        key:'createTime',
        title:'创建时间',
      },
      attr:{
        is: "el-date-picker",
        valueFormat: "yyyy-MM-dd HH:mm:ss",
        disabled:true,
      },

    },
    {
      item:{
        key:'updateByName',
        title:'最后修改人',
      },
      attr:{
        is: "el-input",
        disabled:true,
      },

    },
    {
      item:{
        key:'updateTime',
        title:'最后修改时间',
      },
      attr:{
        is: "el-date-picker",
        valueFormat: "yyyy-MM-dd HH:mm:ss",
        disabled:true,
      },

    },

  ].map(({ item, attr }) => ({
    attr,
    item: { ...item, hidden: true, span: item.span || 6 },
  }));

  const TabColumns = [
    {
      item:{
        key:'materialBasic',
        title:'物料信息',
      },
      attr:{
        value:[]
      },
      TableColumns:[
        {
          item:{
            key:'materialCode',
            title:'物料编码',
            require: true,
          },
          attr:{
            // readonly:true,
            is: "el-popover-select-v2",
            valueKey: "code",
            referName: "MATERIAL_PARAM",
            dataMapping: {
              materialId: "id",
              materialCode: "code",
              materialName: "name",
              diCode:'diCode',
              remark:'remark',
              model: "model",
              materialClassifyId:'classifyId',
              productionPermit:'productionPermit',
              specification: "specification",
              storageConditions:'storageCondition',
              transportCondition:'transportationCondition',
              medicineMaterial:'isMedicine',
              factory:'manufacturerId',
              factoryName:'manufacturerIdName',
              registrant:'registrant',
              oneClass:'oneClass',
              twoClass:'twoClass',
              threeClass:'threeClass',
              fourClass:'fourClass',
              drug:'isDrugNumber',
              registrationNo:'registrationNo',
              dosageFrom:'dosageFrom',
              // dosageFromName:'dosageFromName',
              maintenanceType:'curingType',
              medicalDevices:'medicalInstruments',
              leadTime:'deliveryPeriod',
              isInventoryStatus:'isInventoryStatus',
              expiryDateManagerment:'expiryDateManagerment',
              usefulLife:'usefulLife',
              serialNoManager:'serialNoManager',
              ratifyBatchNo:'ratifyBatchNo',
              expiryUnitId:'expiryUnitId',
              usefulLifeUnitId: 'usefulLifeUnitId',
              recentWarningPeriod: 'recentWarningPeriod',
              nearOnsetManagerment: 'nearOnsetManagerment',
            },


          },

        },
        {
          item:{
            key:'materialName',
            title:'物料名称',
            require: true,
          },
          attr:{
            is: "el-input",
            // disabled:true,
          },

        },
        {
          item:{
            key:'medicineMaterial',
            title:'医药物料',
          },
          attr:{
            is: "el-select",
            dictName: "sys_number_yes_no", // 字典名
          },

        },
        {
          item:{
            key:'productionPermit',
            title:'生产许可证',
          },
          attr:{
            is: "el-input",
          },

        },
        {
          item:{
            key:'specification',
            title:'规格',
            require: true,
          },
          attr:{
            is: "el-input",
            maxlength:150,
          },


        },
        {
          item:{
            key:'model',
            title:'型号',
          },
          attr:{
            is: "el-input",
          },

        },
       
        {
          item:{
            key:'factoryName',
            title:'生产厂家/代理人',
            require: true,
          },
          attr:{
            is: "el-popover-select-v2",
            valueKey: "name",
            referName: "MANUFACTURER_PARAM",
            dataMapping: {
              factory:'id'
            }
          },

        },
        {
          item:{
            key:'registrant',
            title:'注册人/上市许可持有人',
            require: true,
          },
          attr:{
            is: "el-input",
          },

        },
        {
          item:{
            key:'storageConditions',
            title:'存储条件',
            require: true,
          },
          attr:{
            is: "el-select",
            dictName: "sys_storage_condition", // 字典名
          },

        },
        {
          item:{
            key:'transportCondition',
            title:'运输条件',
          },
          attr:{
            is: "el-select",
            dictName: "sys_conditions_carriage", // 字典名
          },

        },
        // {
        //   item:{
        //     key:'leadTime',
        //     title:'交货周期',
        //   },
        //   attr:{
        //     is: "el-input-number",
        //     controlsPosition:"right",
        //     min:0
        //   },

        // },
        {
          item:{
            key:'isInventoryStatus',
            title:'批号及库存状态管理',
          },
          attr:{
            is: "el-select",
            dictName: "sys_number_yes_no", // 字典名
          },
        },
        {
          item:{
            key:'expiryDateManagerment',
            title:'效期管理',
          },
          attr:{
            is: "el-select",
            dictName: "sys_number_yes_no", // 字典名
          },
        },
        {
          item:{
            key:'serialNoManager',
            title:'是否序列号管理',
          },
          attr:{
            is: "el-select",
            dictName: "sys_number_yes_no", // 字典名
          },
        },
        {
          item:{
            key:'usefulLife',
            title:'有效期',
          },
          attr:{
            is: "el-input-number",
            controlsPosition:"right",
            min:0,
          },
        },
        {
          item:{
            key:'expiryUnitId',
            title:'效期单位',
          },
          attr:{
            is: "el-select",
            dictName: "period_unit",
            clearable: true,
          },
        },
        {
          item:{
            key:'usefulLifeUnitId',
            title:'有效期至单位',
          },
          attr:{
            is: "el-select",
            dictName: "expiry_date",
            clearable: true,
          },
        },
        {
          item:{
            key:'nearOnsetManagerment',
            title:'近效期管理',
          },
          attr:{
            is: "el-select",
            dictName: "sys_number_yes_no",
            clearable:true,
          },
        },
        {
          item:{
            key:'recentWarningPeriod',
            title:'近效期预警天数',
          },
          attr:{
            is: "el-input-number",
            min: 0,
            controlsPosition: "right",
          },
        },


        // {
        //   item:{
        //     key:'diCode',
        //     title:'DI码',
        //   },
        //   attr:{
        //     is: "el-input",
        //   },

        // },
        // {
        //   item:{
        //     key:'remark',
        //     title:'备注',
        //   },
        //   attr:{
        //     is: "el-input",
        //   },

        // },
        {
          item:{
            key:'oneClass',
            title:'一级分类',
          },
          attr:{
            is: "el-input",
            disabled:true,
          },

        },
        {
          item:{
            key:'twoClass',
            title:'二级分类',
          },
          attr:{
            is: "el-input",
            disabled:true,
          },

        },
        {
          item:{
            key:'threeClass',
            title:'三级分类',
          },
          attr:{
            is: "el-input",
            disabled:true,
          },

        },
        {
          item:{
            key:'fourClass',
            title:'四级分类',
          },
          attr:{
            is: "el-input",
            disabled:true,
          },

        },
        {
          item:{
            key:'drug',
            title:'药品',
          },
          attr:{
            is: "el-select",
            dictName: "sys_medicine", // 字典名
          },

        },
        {
          item:{
            key:'ratifyBatchNo',
            title:'批准文号',
          },
          attr:{
            is: "el-input",
          },

        },
        {
          item:{
            key:'registrationNo',
            title:'注册证号/备案凭证编号',
          },
          attr:{
            is: "el-input",
          },

        },
        {
          item:{
            key:'medicalDevices',
            // title:'医疗器械',
            title:'管理类别',
          },
          attr:{
            is: "el-select",
            dictName: "medical_instruments", // 字典名
          },

        },
        {
          item:{
            key:'maintenanceType',
            title:'养护类型',
          },
          attr:{
            is: "el-select",
            dictName: "curing_type", // 字典名
          },

        },
        // {
        //   item:{
        //     key:'dosageFromName',
        //     title:'剂型',
        //   },
        //   attr:{
        //     is: "el-popover-tree-select",
        //     referName: "DOSAGEFORM_PARAM",
        //     valueKey: "name",
        //     dataMapping: {
        //       dosageFrom:'id'
        //     }
        //   },

        // },

      ]
    },
  ]

  return {TableColumns,TabColumns}
}

