export default function useColumns() {
  const SearchColumns = [
    {
      item: {
        key: "rowStatus",
        title: "行状态",
      },
      attr: {
        is: "el-select",
        dictName: "sys_row_status",
        multiple: true,
        clearable: true,
      },
    },
    {
      item: {
        key: "buyerName",
        title: "采购员",
      },
      attr: {
        clearable: true,
        is: "el-popover-select-v2",
        referName: "CONTACTS_PARAM",
        valueKey: "name",
        dataMapping: {
          buyer: "code",
          buyerName: "name",
        },
      },
    },
    {
      item: {
        key: "materialClassifyFour",
        title: "品类",
      },
      attr: {
        clearable: true,
        is: "el-popover-multiple-tree-select",
        referName: "MATERIALCLASSIFY_PARAM",
        defaultProps: {
          label: function (data, node) {
            return data.code + " " + data.name;
          },
          children: "children",
        },
        // dataMapping: {
        //   materialClassifyFour: 'id',
        // }
      },
    },
    {
      item: {
        width: 100,
        key: "manufacturer",
        title: "生产厂家"
      },
      attr: {
        is: "el-input",
        clearable: true,
      },
    },
    {
      item: {
        key: "forecastClassification",
        title: "预测分类"
      },
      attr: {
        is: "el-select",
        dictName: "predictive_classify",
        clearable: true,
      },
    },
    {
      item: { key: "puManagerAuditorName", title: "审核人" },
      attr: {
        is: "el-popover-select-v2",
        referName: "CONTACTS_PARAM",
        valueKey: "name",
        dataMapping: {
          puManagerAuditor: "code",
          puManagerAuditorName: "name"
        },
      },
    },
    {
      item: {
        width: 100,
        key: "registrant",
        title: "注册人"
      },
      attr: {
        is: "el-input",
        clearable: true,
      },
    },
    {
      item: { key: "businessType", title: "业务类型" },
      attr: {
        is: "el-select",
        dictName: "sys_business",
        clearable: true,
      },
    },
    {
      item: { key: "billSource", title: "单据来源" },
      attr: {
        is: "el-select",
        dictName: "sys_bill_source",
        clearable: true,
      },
    },
    {
      item: { key: "customerName", title: "需求客户" },
      attr: {
        is: "el-popover-select-v2",
        referName: "CUSTOMER_PARAM",
        valueKey: "name",
        dataMapping: {
          customer: "id",
          customerName: "name"
        },
      },
    },
    {
      item: { key: "lastWarehouseName", title: "供应仓库" },
      attr: {
        is: "el-popover-select-v2",
        referName: "WAREHOUSE_PARAM",
        valueKey: "name",
        dataMapping: {
          lastWarehouse: "id",
          lastWarehouseName: "name"
        },
      },
    },
    {
      item: { key: "lastAllocationName", title: "供应库位" },
      attr: {
        is: "el-popover-select-v2",
        referName: "ALLOCATION_PARAM",
        valueKey: "name",
        dataMapping: {
          lastAllocation: "id",
          lastAllocationName: "name"
        },
      },
    },
    {
      item: { key: "materialCodeList", title: "物料编码" },
      attr: {
        clearable: true,
        is: "el-popover-multiple-select-v2",
        valueKey: "code",
        referName: "MATERIAL_PARAM",
      },
    },
    {
      item: { key: "purchaseOrgName", title: "默认采购组织" },
      attr: {
        is: "el-popover-select-v2",
        referName: "ORG_PARAM",
        valueKey: "name",
        dataMapping: {
          purchaseOrg: "id",
          purchaseOrgName: "name"
        },
      },
    },
    {
      item: { key: "demandDateArray", title: "需求日期" },
      attr: {
        is: "el-date-picker",
        type: "daterange",
        valueFormat: "yyyy-MM-dd",
        rangeSeparator: "至",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期",

      },
    },
    {
      item: { key: "code", title: "采购需求单号" },
      attr: {
        is: "el-input",
        clearable: true,
      },
    },
    {
      item: { key: "approverFinishTimeArray", title: "审批结束日期" },
      attr: {
        is: "el-date-picker",
        type: "daterange",
        valueFormat: "yyyy-MM-dd",
        rangeSeparator: "至",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期",

      },
    },
    {
      item: {
        key: "isCustomerSpecified",
        title: "是否客户指定",
      },
      attr: {
        is: "el-select",
        dictName: "sys_yes_no",
        clearable: true,
      },
    },
    {
      item: {
        key: "isUrgency",
        title: "是否紧急需求",
      },
      attr: {
        is: "el-select",
        dictName: "sys_yes_no",
        clearable: true,
      },
    },
    {
      item: { key: "additionalSupplierName", title: "补单供应商" },
      attr: {
        is: "el-popover-select-v2",
        referName: "SUPPLIER_PARAM",
        valueKey: "name",
        dataMapping: {
          additionalSupplier: "id",
          additionalSupplierName: "name"
        },
      },
    },
    {
      item: { key: "processTimeArray", title: "确认日期" },
      attr: {
        is: "el-date-picker",
        type: "daterange",
        valueFormat: "yyyy-MM-dd",
        rangeSeparator: "至",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期",

      },
    },
  ]

  return { SearchColumns }
}