export default function useColumns() {

  const desColumns = [
    {
      item: {
        key: "code",
        title: "预留单据号",
      },
      attr: {}
    },
    {
      item: {
        key: "source",
        title: "来源单据号",
      },
      attr: {}
    },
    {
      item: {
        key: "customerName",
        title: "客户名称",
      },
      attr: {}
    },
    {
      item: {
        key: "createByName",
        title: "创建人",
      },
      attr: {}
    },
    {
      item: {
        key: "createBy",
        title: "创建人编码",
      },
      attr: {}
    },
    {
      item: {
        key: "createTime",
        title: "创建时间",
      },
      attr: {}
    },
  ];

  const itemsColumns = [
    {
      item: {
        key: "materialCode",
        title: "物料编码",
      },
      attr: {}
    },
    {
      item: {
        key: "materialName",
        title: "物料名称",
      },
      attr: {}
    },
    {
      item: {
        key: "unitName",
        title: "单位名称",
      },
      attr: {}
    },
    {
      item: {
        key: "reservedQty",
        title: "预留数量",
      },
      attr: {}
    },
    {
      item: {
        key: "totalIn",
        title: "累计入库数量",
      },
      attr: {}
    },
    {
      item: {
        key: "qty",
        title: "可用量",
      },
      attr: {}
    },
    {
      item: {
        key: "usedQty",
        title: "已用量",
      },
      attr: {}
    },
    {
      item: {
        key: "warehouseName",
        title: "仓库名称",
      },
      attr: {}
    },
    {
      item: {
        key: "allocationName",
        title: "货位名称",
      },
      attr: {}
    },
    {
      item: {
        key: "createTime",
        title: "创建时间",
        width: 200,
      },
      attr: {}
    },
  ].map(({ item, attr }) => ({
    item: {
      ...item,
      width: item.width || 150
    },
    attr,
  }));

  const historyColumns = [
    {
      item: {
        key: "materialCode",
        title: "物料编码",
      },
      attr: {}
    },
    {
      item: {
        key: "materialName",
        title: "物料名称",
        width: 200,
      },
      attr: {}
    },
    {
      item: {
        key: "unitName",
        title: "单位",
        width: 100,
      },
      attr: {}
    },
    {
      item: {
        key: "productBatchNum",
        title: "批号",
        width: 100,
      },
      attr: {}
    },
    {
      item: {
        key: "operateBill",
        title: "操作单据",
        width: 100,
      },
      attr: {
        is: "el-dict-tag",
        dictName: "ow_operatetype",
      }
    },
    {
      item: {
        key: "operateBillcode",
        title: "操作单据编码",
        width: 200,
      },
      attr: {}
    },
    {
      item: {
        key: "operateBillitem",
        title: "操作明细行号",
      },
      attr: {}
    },
    {
      item: {
        key: "allotQty",
        title: "操作数量",
      },
      attr: {}
    },
    {
      item: {
        key: "createTime",
        title: "操作时间",
        width: 200,
      },
      attr: {}
    },

  ].map(({ item, attr }) => ({
    item: {
      ...item,
      width: item.width || 150
    },
    attr,
  }));


  return { desColumns, itemsColumns, historyColumns }
}