import Cookies from "js-cookie";

// 集采中心-新修
const PurColumns = [
  {
    item: {
      key: "puOrgName", title: "采购组织", inputType: "Input",
    },
    attr: {
      isHidden: true,
      width: 150,
    },
  },
  {
    item: {
      key: "billType",
      title: "订单类型",
      width: 150,
    },
    attr: {
      isHidden: true,
      is: "el-dict-tag",
      dictName: "sys_order_type",
    },
  },
  {
    item: {
      key: "code",
      title: "订单编号",
      inputType: "Input",
      width: 150,
    },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "supplierName", title: "供应商", inputType: "Input", },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "createByName", title: "制单人", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "createTime", title: "制单日期", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "qty", title: "总数量", width: 80, },
    attr: {
      isHidden: true,
      isSummary: true,
    },
  },
  {
    item: {
      key: "money",
      title: "价税合计",
      width: 80,
      // 
    },
    attr: {
      isHidden: true,
      isSummary: true,
    },
  },
  {
    item: {
      key: "status",
      title: "单据状态",
      width: 80,
    },
    attr: {
      is: "el-dict-tag",
      dictName: "documents_status",
      isHidden: true,
    },
  },
  {
    item: {
      key: "erpOrderCode",
      title: "erp订单编号",
    },
    attr: {
      isHidden: true,
    },
    width: 150,
  },
  {
    item: {
      key: "deliveryStatus",
      title: "erp发送状态",
      width: 100,
    },
    attr: {
      clearable: true,
      is: "el-dict-tag",
      dictName: "order_delivery_status",
    },
  },
  {
    item: {
      key: "source",
      title: "订单来源",
      width: 80,
    },
    attr: {
      is: "el-dict-tag",
      dictName: "order_source",
      isHidden: true,
    },
  },
  {
    item: { key: "warehouseName", title: "WMS入库仓库", },
    attr: {
      isHidden: true,
    },
    width: 100,
  }, //WMS入库仓库名称
  {
    item: {
      key: "rebateMoney",
      title: "订单使用返利金额",
      width: 100,
      // 
    },
    attr: {
      isHidden: true,
      isSummary: true,
    },
  },
  {
    item: { key: "deductionMoney", title: "订单抵扣余款金额", },
    attr: {
      isHidden: true,
      isSummary: true,

    },
    width: 100,
  },

  {
    item: { key: "remark", title: "备注", },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "address", title: "收货地址", },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "paymentAgreementName", title: "付款协议", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "applyPaymentMoney", title: "累计付款申请金额", width: 100, },
    attr: {
      isHidden: true,
      isSummary: true,

    },
  },
  {
    item: { key: "paymentMoney", title: "累计付款金额", },
    attr: {
      isHidden: true,
      isSummary: true,
    },
    width: 100,
  },
  {
    item: {
      key: "closePay",
      title: "付款关闭",
      width: 80,
    },
    attr: {
      is: "el-checkbox",
      'true-label': "Y",
      'false-label': "N",
      disabled: true,
      isHidden: true,
    },
  },
  {
    item: { key: "fileNumber", title: "附件数量", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "invoiceMoney", title: "发票金额", },
    attr: {
      isHidden: true,
      isSummary: true,
    },
    width: 100,
  },
  {
    item: {
      key: "isClose",
      title: "最终关闭",
      width: 80,
    },
    attr: {
      is: "el-checkbox",
      'true-label': "Y",
      'false-label': "N",
      disabled: true,
      isHidden: true,
    },
  },
  {
    item: { key: "closeReason", title: "关闭原因", width: 100, },
    attr: {
      isHidden: true,
    },
  },

  {
    item: { key: "approverName", title: "审批人", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "approverFinishTime", title: "审批时间", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    // 更新人
    item: { key: "updateByName", title: "最后修改人", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "updateTime", title: "最后修改时间", },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "originalMoney", title: "原始金额", },
    attr: {
      isHidden: true,
      isSummary: true,
    },
  },
  {
    item: { key: "approveUser", title: "当前审批人", },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "redeployName", title: "被转派人", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "redeployDate", title: "转派时间", },
    attr: {
      isHidden: true,
    },
  },
].map(({ item, attr }) => ({
  attr,
  item: {
    ...item,
    sortabled: true,
    fixedabled: true,
    filterabled: true,
    hiddenabled: true,
  },
}));

// 事业发展部（原本格式）
const CauseColumns = [
  {
    item: {
      key: "puOrgName", title: "采购组织", inputType: "Input",
    },
    attr: {
      isHidden: true,
      width: 150,
    },
  },
  {
    item: {
      key: "billType",
      title: "订单类型",
      width: 150,
    },
    attr: {
      isHidden: true,
      is: "el-dict-tag",
      dictName: "sys_order_type",
    },
  },
  {
    item: {
      key: "code",
      title: "订单编号",
      inputType: "Input",
      width: 150,
    },
    attr: {
      isHidden: true,
    },
  },
  {
    item: {
      key: "status",
      title: "单据状态",
      width: 80,
    },
    attr: {
      is: "el-dict-tag",
      dictName: "documents_status",
      isHidden: true,
    },
  },
  {
    item: { key: "billDate", title: "订单日期", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "supplierName", title: "供应商", inputType: "Input", },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "paymentAgreementName", title: "付款协议", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    item: {
      key: "source",
      title: "订单来源",
      width: 80,
    },
    attr: {
      is: "el-dict-tag",
      dictName: "order_source",
      isHidden: true,
    },
  },
  // { item:{key: "paymentAgreement", title: "付款协议" },
  {
    item: { key: "createByName", title: "制单人", width: 100, },
    attr: {
      isHidden: true,
    },
  },

  {
    item: { key: "puDeptName", title: "采购部门", width: 100, },
    attr: {
      isHidden: true,
    },
  },

  // { 
  //   item:{key: "customerName", title: "收货客户" ,width:100,},
  //   attr:{
  //     isHidden:true,
  //   },
  // },
  // { 
  //   key: "isDeliver", 
  //   title: "是否发货",
  //   inputType: 'Checkbox',
  //   width:80,
  //  },
  {
    item: {
      key: "isArrival",
      title: "到货超期",
      width: 80,
    },
    attr: {
      is: "el-checkbox",
      'true-label': "Y",
      'false-label': "N",
      disabled: true,
      isHidden: true,
    },
  },
  {
    item: {
      key: "isBack",
      title: "退货",
      width: 80,
    },
    attr: {
      is: "el-checkbox",
      'true-label': "Y",
      'false-label': "N",
      disabled: true,
      isHidden: true,
    },
  },
  // { item:{key: "freezeCause", title: "冻结原因" },
  {
    item: { key: "qty", title: "总数量", width: 80, },
    attr: {
      isHidden: true,
      isSummary: true,
    },
  },
  {
    item: {
      key: "money",
      title: "价税合计",
      width: 80,
      // 
    },
    attr: {
      // is: "el-computed-input-v2",
      // formatter: (prop) => {
      //   return prop ? (prop * 1).toFixed(2) : prop;
      // },
      isHidden: true,
      isSummary: true,
    },
  },
  {
    item: {
      key: "isUrgency",
      title: "紧急程度",
      width: 100,
    },
    attr: {
      is: "el-dict-tag",
      dictName: "urgency_degree"
    },
  },
  // {
  //   key: "isMarketing",
  //   title: "已协同生成销售订单",
  //   inputType: 'Checkbox',
  // },
  // {
  //   key: "isMarketingSource",
  //   title: "由销售订单协同生成",
  //   inputType: 'Checkbox',
  // },
  {
    item: { key: "personalName", title: "人员", width: 120, },
    attr: {
      isHidden: true,
    },
  },
  // { item:{key: "isSendSrm", title: "是否同步SRM" },
  {
    item: {
      key: "isInvoice",
      title: "发票标识",
      width: 80,
    },
    attr: {
      is: "el-checkbox",
      'true-label': "Y",
      'false-label': "N",
      disabled: true,
      isHidden: true,
    },

  },
  {
    item: {
      key: "rebateMoney",
      title: "订单使用返利金额",
      width: 100,
      // 
    },
    attr: {
      // is: "el-computed-input-v2",
      // formatter: (prop) => {
      //   return prop ? (prop * 1).toFixed(2) : prop;
      // },
      isHidden: true,
      isSummary: true,
    },
  },
  {
    item: { key: "deductionMoney", title: "订单抵扣余款金额", },
    attr: {
      // is: "el-computed-input-v2",
      // formatter: (prop) => {
      //   return prop ? (prop * 1).toFixed(2) : prop;
      // },
      isHidden: true,
      isSummary: true,

    },
    width: 100,
  },
  // { item:{key: "warehouse", title: "WMS入库仓库" },
  {
    item: { key: "warehouseName", title: "收货仓库", },
    attr: {
      isHidden: true,
    },
    width: 100,
  }, //WMS入库仓库名称

  {
    item: { key: "customerDeptName", title: "客户部门", },
    attr: {
      isHidden: true,
    },
    width: 100,
  },
  {
    item: { key: "supplierContactsName", title: "供应商业务联系人", },
    attr: {
      isHidden: true,
    },
    width: 100,
  },
  {
    item: {
      key: "isUrgency",
      title: "紧急程度",
      width: 80,
    },
    attr: {
      is: "el-checkbox",
      'true-label': "Y",
      'false-label': "N",
      disabled: true,
      isHidden: true,
    },

  },
  // { 
  //   item:{ key: "agentName", title: "代理人" ,},
  //   attr:{
  //     isHidden:true,
  //   },
  // },
  {
    item: {
      key: "isClose",
      title: "最终关闭",
      width: 80,
    },
    attr: {
      is: "el-checkbox",
      'true-label': "Y",
      'false-label': "N",
      disabled: true,
      isHidden: true,
    },
  },
  {
    item: { key: "applyPaymentMoney", title: "累计付款申请金额", width: 100, },
    attr: {
      // is: "el-computed-input-v2",
      // formatter: (prop) => {
      //   return prop ? (prop * 1).toFixed(2) : prop;
      // },
      isHidden: true,
      isSummary: true,

    },
  },
  {
    item: { key: "paymentMoney", title: "累计付款金额", },
    attr: {
      // is: "el-computed-input-v2",
      //     formatter: (prop) => {
      //       return prop ? (prop * 1).toFixed(2) : prop;
      //     },
      isHidden: true,
      isSummary: true,
    },
    width: 100,
  },
  {
    item: { key: "invoiceMoney", title: "发票金额", },
    attr: {
      // is: "el-computed-input-v2",
      // formatter: (prop) => {
      //   return prop ? (prop * 1).toFixed(2) : prop;
      // },
      isHidden: true,
      isSummary: true,
    },
    width: 100,
  },
  // { item:{key: "supplierPersonal", title: "供应商业务员" },
  {
    item: { key: "supplierPersonalName", title: "供应商业务员", },
    attr: {
      isHidden: true,
    },
    width: 100,
  },
  {
    item: { key: "marketingCode", title: "销售订单号", },
    attr: {
      isHidden: true,
    },
    width: 150,
  },
  // { item:{key: "flowId", title: "OA流程ID" },
  {
    item: { key: "oaDemandNo", title: "OA需求单号", },
    attr: {
      isHidden: true,
    },
  },
  {
    item: {
      key: "erpOrderCode",
      title: "erp订单编号",
    },
    attr: {
      isHidden: true,
    },
    width: 150,
  },
  {
    item: { key: "address", title: "收货地址", },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "contacts", title: "收货联系人", },
    attr: {
      isHidden: true,
    },
    width: 100,
  },
  {
    item: {
      key: "isSendWms",
      title: "已同步WMS",
      width: 80,
    },
    attr: {
      is: "el-checkbox",
      'true-label': "Y",
      'false-label': "N",
      disabled: true,
      isHidden: true,
    },
  },
  {
    item: { key: "retReasonName", title: "退换原因", },
    attr: {
      isHidden: true,
    },
    width: 100,
  },
  {
    item: { key: "closeTime", title: "最终关闭日期", },
    attr: {
      isHidden: true,
    },
    width: 100,
  },
  {
    item: { key: "processTypeName", title: "处理方式", },
    attr: {
      isHidden: true,
    },
    width: 100,
  },
  {
    item: {
      key: "isEnd",
      title: "整单关闭标识",
    },
    attr: {
      is: "el-checkbox",
      'true-label': "Y",
      'false-label': "N",
      disabled: true,
      isHidden: true,
    },
    width: 100,
  },
  {
    item: { key: "projectNowName", title: "在建工程项目", },
    attr: {
      isHidden: true,
    },
    width: 100,
  },
  {
    item: { key: "operatingItemsName", title: "经营性项目", },
    attr: {
      isHidden: true,
    },
    width: 100,
  },
  {
    item: { key: "isArrivalReson", title: "到货超期原因", },
    attr: {
      isHidden: true,
    },
    width: 100,
  },
  {
    item: { key: "buyerName", title: "采购员", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "createTime", title: "制单日期/创建时间", },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "approveTime", title: "提交时间", width: 100, },
    attr: {
      isHidden: true,
    },
  },

  {
    item: { key: "approverName", title: "审批人", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "approverFinishTime", title: "审批时间", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "updateByName", title: "更新人", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "updateTime", title: "最后修改时间", },
    attr: {
      isHidden: true,
    },
  },

  {
    item: { key: "remark", title: "备注", },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "approveUser", title: "当前审批人", },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "redeployName", title: "被转派人", width: 100, },
    attr: {
      isHidden: true,
    },
  },
  {
    item: { key: "redeployDate", title: "转派时间", },
    attr: {
      isHidden: true,
    },
  },
  // { item:{key: "midOrderNo", title: "中台采购订单号" },
].map(({ item, attr }) => ({
  attr,
  item: {
    ...item,
    sortabled: true,
    fixedabled: true,
    filterabled: true,
    hiddenabled: true,
  },
}));

// 集采中心
const PurTabColumns = [

  {
    title: '物料信息',
    key: 'puOrderItemList',
    tableColumns: [
      {
        item: { key: "customerName", title: "收货客户", width: 100, },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "goodsAllocationName", title: "货位", width: 100, },
        attr: {
          isHidden: true,
        },
      },
      {
        item: {
          key: "rowNo", title: "行号", width: 80,
        },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "materialCode", title: "物料编码", width: 150, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "materialName", title: "物料名称", width: 150, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "specification", title: "规格", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "model", title: "型号", width: 100 },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "manufacturerName", title: "生产厂家代理人", width: 150, },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "unitName", title: "单位", width: 80 },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "qty", title: "数量", width: 120, },
        attr: {
          isHidden: true,
          isSummary: true,
        },
      },
      {
        item: { key: "taxPrice", title: "含税单价", width: 120, },
        attr: {
        },
      },
      {
        item: { key: "money", title: "价税合计", width: 120, },
        attr: {
          isSummary: true,
        },
      },

      {
        item: {

          key: "isGift",
          title: "赠品",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: {
          key: "nitemdiscountrate",
          title: "折扣(%)",
          width: 80,
        },
        attr: {},
      },
      {
        item: { key: "taxDeductMoneya", title: "折扣金额", width: 80, },
        attr: {
          isSummary: true,
        },
      },
      {
        item: { key: "discountRule", title: "折扣规则编码", width: 100, },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "tax", title: "税率", width: 120, },
        attr: {
        },
      },
      {
        item: { key: "registration", title: "注册证号", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "demandCode", title: "采购需求单号", width: 150, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: {

          key: "isReplenishment",
          title: "补单标识",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: {
          key: "isUrgency",
          title: "紧急标识",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: {

          key: "priceType",
          title: "价格类型"
          , width: 100,
        },
        attr: {
          is: "el-dict-tag",
          dictName: "sys_price_type",
        }
      },
      {
        item: {

          key: "isDistributionPrice",
          title: "配送价",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: { key: "deliveryDate", title: "交货日期", width: 150, },
        attr: {},
      },
      {
        item: { key: "unarrivedQty", title: "未到货数量", width: 80, },
        attr: {
          isSummary: true,
        },
      },
      {
        item: {

          key: "isArrival",
          title: "到货关闭",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: {
          key: "isStorage",
          title: "入库关闭",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: {

          key: "isPayment",
          title: "付款关闭",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: {

          key: "isInvoice",
          title: "开票关闭",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: {
          key: "isMedcine",
          title: "医药物料",
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: { key: "originalQty", title: "原始数量", width: 80, },
        attr: {
          isHidden: true,
          isSummary: true,
        },
      },
      {
        item: {
          key: "originalMoney",
          title: "原始金额",
          width: 80,
        },
        attr: {
          isSummary: true,
        },
      },

      {
        item: { key: "closeReason", title: "行关闭/打开原因", width: 100, },
        attr: {
          isHidden: true,
        },

      },

    ].map(({ item, attr }) => ({
      attr,
      item: {
        ...item,
        sortabled: true,
        fixedabled: true,
        filterabled: true,
        hiddenabled: true,
      },
    }))
  },

];

// 事业发展部
const CommonTabColumns = [

  {
    title: '物料信息',
    key: 'puOrderItemList',
    tableColumns: [
      {
        item: { key: "goodsAllocationName", title: "货位", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: {
          key: "rowNo", title: "行号", width: 80,
        },
        attr: {
          isHidden: true,
        },
      },

      // { item:{key: "orderId", title: "采购订单ID" },
      {
        item: { key: "demandCode", title: "采购需求单号", width: 150, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: {
          key: "contractNo",
          title: "合同编号",
          width: 150,
        },
        attr: {
          isHidden: true,
        },

      },
      // { 
      //   item:{key: "material", title: "物料ID",width:120, },
      //   attr:{
      //     isHidden:true,
      //   },

      // },
      {
        item: { key: "materialName", title: "物料名称", width: 150, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "materialCode", title: "物料编码", width: 150, },
        attr: {
          isHidden: true,
        },

      },
      // { item:{key: "materialClassify", title: "物料分类",  },},
      {
        item: { key: "materialManufacturersCode", title: "厂家物料编码", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "specification", title: "规格", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "model", title: "型号", width: 100 },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "customerName", title: "收货客户", width: 100, },
        attr: {
          isHidden: true,
        },
      },
      {
        item: {
          key: "isMedcine",
          title: "医药物料",
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: { key: "manufacturerName", title: "生产厂家代理人", width: 150, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: {
          key: "isDrug",
          title: "物料药品属性",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: { key: "unitName", title: "单位", width: 80 },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "qty", title: "数量", width: 120, },
        attr: {
          isHidden: true,
          isSummary: true,
        },
      },
      {
        item: { key: "currencyName", title: "币种", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "taxPrice", title: "含税单价", width: 120, },
        attr: {
          // is: "el-computed-input-v2",
          // formatter: (prop) => {
          //   return prop ? (prop * 1).toFixed(2) : prop;
          // },
        },
      },
      {
        item: { key: "money", title: "价税合计", width: 120, },
        attr: {
          isSummary: true,
        },
      },

      {
        item: { key: "tax", title: "税率", width: 120, },
        attr: {
        },
      },
      {
        item: { key: "taxDeductMoneya", title: "折扣金额", width: 80, },
        attr: {
          isSummary: true,
        },
      },
      {
        item: {
          key: "nitemdiscountrate",
          title: "折扣(%)",
          width: 80,
        },
        attr: {},
      },
      {
        item: {
          key: "ntaxnetprice",
          title: "含税净价",
          width: 80,
        },
        attr: {
        },
      },
      {
        item: { key: "arrivalQty", title: "已到货数量", width: 80, },
        attr: {
          isSummary: true,
        },
      },
      {
        item: { key: "unarrivedQty", title: "未到货数量", width: 80, },
        attr: {
          isSummary: true,
        },
      },
      {
        item: { key: "price", title: "无税单价", width: 120, },
        attr: {
        },
      },
      {
        item: { key: "notaxMoney", title: "无税金额", width: 120, },
        attr: {
          isSummary: true,
        },
      },
      // { 
      //   item:{key: "priceSource", title: "价格目录ID", width:10, },
      //   attr:{
      //     isHidden:true,
      //   },

      // },
      {
        item: {
          key: "isStorage",
          title: "入库关闭",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: {

          key: "isInvoice",
          title: "开票关闭",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: {

          key: "isArrival",
          title: "到货关闭",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: {

          key: "isPayment",
          title: "付款关闭",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: {

          key: "isGift",
          title: "赠品",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: { key: "warehouse", title: "收货仓库", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "place", title: "收货地点", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "address", title: "收货地址", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "productBatch", title: "产品批号", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "manufactureDate", title: "生产日期", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "efficacyLoseDate", title: "有效期至/失效日期", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "approvalNumber", title: "批准文号", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: { key: "registration", title: "注册证号", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      {
        item: {

          key: "storageCondition",
          title: "存储条件",
          width: 100,
        },
        attr: {
          is: "el-dict-tag",
          dictName: "sys_storage_condition",
        },

      },
      {
        item: {

          key: "carriageCondition",
          title: "运输条件",
          width: 100,
        },
        attr: {
          is: "el-dict-tag",
          dictName: "sys_conditions_carriage",
        },

      },
      {
        item: {

          key: "isBatchLock",
          title: "批号锁定标识",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: {

          key: "isReplenishment",
          title: "补单标识",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: {
          key: "isUrgency",
          title: "紧急标识",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: { key: "originalQty", title: "原始数量", width: 80, },
        attr: {
          isHidden: true,
          isSummary: true,
        },
      },
      {
        item: {
          key: "originalMoney",
          title: "原始金额",
          width: 80,
        },
        attr: {
          // is: "el-computed-input-v2",
          // formatter: (prop) => {
          //   return prop ? (prop * 1).toFixed(2) : prop;
          // },
          isSummary: true,
        },
      },
      {
        item: { key: "reservedQty", title: "预留数量", width: 80, },
        attr: {
          isHidden: true,
          isSummary: true,
        },
      },
      {
        item: { key: "reservedPeriod", title: "预留周期", width: 100, },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "taxDeductClassify", title: "扣税类别", width: 100, },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "exchangeRate", title: "折本汇率", width: 80, },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "directProductBatch", title: "直运产品批号", width: 100, },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "discountRule", title: "折扣规则编码", width: 100, },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "source", title: "上游单据号", width: 150, },
        attr: {
          isHidden: true,
        },
      },
      // { item:{key: "sourceId", title: "上游单据ID",  },},
      {
        item: { key: "arrivalDatePlan", title: "计划到货日期", width: 100, },
        attr: {
          isHidden: true,
        },
      },
      {
        item: {

          key: "priceType",
          title: "价格类型"
          , width: 100,
        },
        attr: {
          is: "el-dict-tag",
          dictName: "sys_price_type",
        }
      },
      {
        item: {

          key: "isDistributionPrice",
          title: "配送价",
          inputType: 'Checkbox',
          width: 80,
        },
        attr: {
          is: "el-checkbox",
          'true-label': "Y",
          'false-label': "N",
          disabled: true,
        },
      },
      {
        item: { key: "deliveryDate", title: "交货日期", width: 150, },
        attr: {},
      },
      {
        item: { key: "materialClassifyOneName", title: "物料一级分类", width: 100, },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "materialClassifyTwoName", title: "物料二级分类", width: 100, },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "materialClassifyThreeName", title: "物料三级分类", width: 100, },
        attr: {
          isHidden: true,
        },
      },
      {
        item: { key: "materialClassifyFourName", title: "物料四级分类", width: 100, },
        attr: {
          isHidden: true,
        },
      },

      {
        item: { key: "closeReason", title: "行关闭/打开原因", width: 100, },
        attr: {
          isHidden: true,
        },

      },
      // { item:{key: "createByName", title: "创建人",width:100, },
      // { item:{key: "updateByName", title: "更新人" ,width:100,},

    ].map(({ item, attr }) => ({
      attr,
      item: {
        ...item,
        sortabled: true,
        fixedabled: true,
        filterabled: true,
        hiddenabled: true,
      },
    }))
  },
  // {
  //   title: '执行结果',
  //   key: 'puOrderExecuteList',
  //   tableColumns: [
  //     // { item:{key: "orderId", title: "采购订单ID",  },
  //     { 
  //       item:{key: "rowno", title: "行号",width:80, },
  //       attr:{
  //         isHidden:true,
  //       },
  //     },
  //     { 
  //       item:{key: "material", title: "物料ID", width:1, },
  //       attr:{
  //         isHidden:true,
  //       },
  //     },
  //     { 
  //       item:{key: "materialName", title: "物料名称", width:150, },
  //       attr:{
  //         isHidden:true,
  //       },
  //     },
  //     { 
  //       item:{key: "specification", title: "规格", width:100, },
  //       attr:{
  //         isHidden:true,
  //       },
  //     },
  //     { 
  //       item:{key: "qty", title: "数量",width:120, },
  //       attr:{
  //         isHidden:true,
  //         isSummary:true,
  //       },
  //     },
  //     { 
  //       item:{key: "stroageQty", title: "累计到货主数量",width:120,  },
  //       attr:{
  //         isHidden:true,
  //         isSummary:true,
  //       },
  //     },
  //     { 
  //       item:{key: "stockQty", title: "累计入库主数量",width:120,  },
  //       attr:{
  //         isHidden:true,
  //         isSummary:true,
  //       },
  //     },
  //     { 
  //       item:{key: "invoiceQty", title: "累计开票主数量",width:120,  },
  //       attr:{
  //         isHidden:true,
  //         isSummary:true,
  //       },
  //     },
  //     { 

  //       item:{key: "rollbackQty", title: "累计退货主数量",width:120,  },
  //       attr:{
  //         isHidden:true,
  //         isSummary:true,
  //       },
  //     },
  //     { 
  //       item:{key: "backStockQty", title: "累计退库主数量",width:120,  },
  //       attr:{
  //         isHidden:true,
  //         isSummary:true,
  //       },
  //     },
  //     { 
  //       item:{key: "floatQty", title: "未到货数量",width:120, },
  //       attr:{
  //         isHidden:true,
  //         isSummary:true,
  //       },
  //     },
  //     // { item:{key: "createByName", title: "创建人", },
  //     // { item:{key: "updateByName", title: "更新人", },
  //   ].map(({ item, attr }) => ({
  //     attr,
  //     item: { ...item, hidden: true, fixed: false },
  //   }))
  // },
];

export const SearchColumns = [
  {
    item: {
      key: "orderCode",
      title: "订单编号",
    },
    attr: {
      clearable: true,
      is: "el-input",
      placeholder: '请输入订单编号，多个使用,隔开',
    },
  },
  {
    item: {
      key: "materialCode",
      title: "物料编码",
    },
    attr: {
      clearable: true,
      is: "el-input",
      placeholder: '请输入物料编码，多个使用,隔开',
      // is: "el-popover-multiple-select-v2",
      // valueKey: "code",
      // referName: "MATERIAL_PARAM",
    },
  },
  {
    item: {
      key: "date",
      title: "订单日期",

    },
    attr: {
      clearable: true,
      is: "el-date-picker",
      type: "daterange",
      unlinkPanels: true,
      rangeSeparator: "至",
      valueFormat: "yyyy-MM-dd",
      endPlaceholder: "结束日期",
      startPlaceholder: "开始日期",
      value: [],
    },
  },
  {
    item: {
      key: "puOrgIds",
      title: "采购组织",
    },
    attr: {
      clearable: true,
      is: "el-popover-multiple-select-v2",
      valueKey: "id",
      referName: "ORG_PARAM",
    },
  },
  {
    item: {
      key: "source",
      title: "订单来源",
    },
    attr: {
      clearable: true,
      is: "el-select",
      dictName: "order_source",
    },
  },
  {
    item: {
      key: "erpOrderCode",
      title: "ERP订单号",
    },
    attr: {
      clearable: true,
      is: "el-input",
    },
  },
  {
    item: {
      key: "supplierName",
      title: "供应商",
    },
    attr: {
      clearable: true,
      is: "el-popover-select-v2",
      valueKey: "name",
      referName: "SUPPLIER_PARAM",
    },
  },
  {
    item: {
      key: "customerName",
      title: "收货客户",
    },
    attr: {
      // clearable:true,
      is: "el-popover-select-v2",
      valueKey: "name",
      referName: "CUSTOMER_PARAM",
      dataMapping: {
        customer: 'id',
        customerName: 'name'
      },
    }
  },

  // 物料分类

  {
    item: {
      // key: "status",
      key: "statusList",
      title: "单据状态",
    },
    attr: {
      is: "el-select",
      dictName: "documents_status",
      clearable: true,
      multiple: true,
      collapseTags: true,
    },
  },
  {
    item: {
      key: "demandCode",
      title: "采购需求单号",
    },
    attr: {
      clearable: true,
      is: "el-input",
      placeholder: '请输入采购需求单号，多个使用,隔开',
    },
  },
  {
    // 生产厂家
    item: {
      key: "manufacturerName",
      title: "生产厂家代理人",
    },
    attr: {
      clearable: true,
      is: "el-input",
    },
  },
  {
    item: {
      key: "createByName",
      title: "制单人",
    },
    attr: {
      clearable: true,
      is: "el-popover-select-v2",
      referName: "CONTACTS_PARAM",
      valueKey: "name",
    },
  },
  {
    item: {
      key: "buyers",
      title: "采购员",
    },
    attr: {
      clearable: true,
      is: "el-popover-multiple-select-v2",
      referName: "CONTACTS_PARAM",
      valueKey: "code",
    },
  },
  {
    item: {
      key: "deliveryStatus",
      title: "erp发送状态",
    },
    attr: {
      clearable: true,
      is: "el-select",
      dictName: "order_delivery_status",
    },
  },
  {
    item: {
      key: "isUrgency",
      title: "紧急标识",
    },
    attr: {
      clearable: true,
      is: "el-select",
      dictName: "sys_yes_no"
    },
  },
  {
    item: {
      key: "isReplenishment",
      title: "补单标识",
    },
    attr: {
      clearable: true,
      is: "el-select",
      dictName: "sys_yes_no"
    },
  },

  // {
  //   item:{
  //     key: "materialName",
  //     title: "物料名称",
  //   },
  //   attr: {
  //     clearable:true,
  //     is: "el-popover-select-v2",
  //     valueKey: "name",
  //     referName: "MATERIAL_PARAM",
  //   },
  // },

  // { 
  //   item:{
  //     key: "contractNo",
  //     title: "合同号", 
  //   },
  //   attr: {
  //     clearable:true,
  //     is: "el-input",
  //   },
  // },
  // {
  //   item:{
  //     key: "projectNowName",
  //     title: "在建工程项目",
  //   },
  //   attr: {
  //     clearable:true,
  //     is: "el-popover-select-v2",
  //     valueKey: "name",
  //     referName: "PROJECT_PARAM",
  //   },
  // },

  // {
  //   item:{
  //     key: "billTypes",
  //     title: "订单类型",
  //   },
  //   attr:{
  //     is: "el-select",
  //     multiple:true,
  //     tags:true,
  //     clearable:true,
  //     dictName: "sys_order_type",
  //   },
  // },

  // { 
  //   item:{
  //     key: "isDrug",
  //     title: "物料药品属性", 
  //   },
  //   attr: {
  //     clearable:true,
  //     is: "el-select",
  //     dictName: "sys_yes_no",
  //   },
  // },

].map(({ item, attr }) => ({
  attr,
  item: { ...item, hidden: true, span: item.span || 6 },
}));

export const judgeColumns = () => {

  let Columns = _.cloneDeep(PurColumns);
  let TabColumns = _.cloneDeep(PurTabColumns);

  let roles = Cookies.get('roles').split(',');
  let role = roles.find(item => item === "syfz-purchaseorder") || "procurementManager";

  if (role === "syfz-purchaseorder") {
    // 事业发展部
    // Columns =  _.cloneDeep(PurColumns);
    TabColumns = _.cloneDeep(CommonTabColumns);
  }

  return { Columns, TabColumns }

}

