import CONFIG from "@/config";

export const TableColumns = [
  // {
  //   item: { key: "puOrgName", title: "采购组织" },
  //   attr: {},
  // },
  // {
  //   item: { key: "manufacturerName", title: "生产厂商" },
  //   attr: {},
  // },
  // {
  //   item: { key: "materialName", title: "物料名称" },
  //   attr: {},
  // },
  {
    item: { key: "supplierName", title: "供应商", filterabled:true, },
    attr: {
     
    },
  },
  {
    item: { key: "taxPrice", title: "主含税单价", width: 150 },
    attr: {
      is: "el-computed-input-v2",
      formatter: (prop) => {
        return (prop * 1);
      },
      // isSummary:true,
    },
  },
  
  {
    item: { key: "customerName", title: "客户" },
    attr: {},
  },
  {
    item: { key: "priceType", title: "价格类型" ,width:145},
    attr: { is: "el-dict-tag", dictName: "sys_price_type" },
  },
  {
    item: { key: "effectiveDate", title: "价格生效日期",width:160 },
    attr: {},
  },
  {
    item: { key: "endDate", title: "价格失效日期" ,width:160},
    attr: {},
  },
  {
    item: { key: "tax", title: "税率 (%)" ,width:120},
    attr: {
      is: "el-computed-input-v2",
      formatter: (prop) => {
        return (prop * 1);
      },
    },
  },
  {
    item: { key: "taxFreePrice", title: "无税单价" ,width:150},
    attr: {
      is: "el-computed-input-v2",
      formatter: (prop) => {
        return (prop * 1);
      },
      // isSummary:true,
    },
  },
  {
    item: { key: "purchaseQuantity", title: "本次采购数量", fixed: true ,width:160},
    attr: {
      is: "el-input-number",
      min: 0,
      max: (prop) => {
        const { puQty = 0, executeQty = 0 } = prop;
        return puQty - executeQty;
      },
      controlsPosition: "right",
      isSummary:true,
    },
  },
  {
    item: { key: "arrivalDatePlan", title: "计划到货日期", fixed: true ,width:160},
    attr: {
      is: "el-date-picker",
      valueFormat: "yyyy-MM-dd",
      pickerOptions: {
        disabledDate(time) {
          return time.getTime() < Date.now();
        },
      },
    },
  },
  {
    item: { key: "note", title: "备注", fixed: true ,width:160},
    attr: {
      is: "el-input",
      autosize: true,
      type: "textarea",
    },
  },
];

export const BasicColumns = [
  {
    item: { key: "materialCode", title: "物料编码" },
    attr: {},
  },
  {
    item: { key: "materialName", title: "物料名称" },
    attr: {},
  },
  {
    item: { key: "specification", title: "规格" },
    attr: {},
  },
  {
    item: { key: "model", title: "型号" },
    attr: {},
  },
  {
    item: { key: "puOrgName", title: "采购组织" },
    attr: {},
  },
  {
    item: { key: "manufacturerName", title: "生产厂商" },
    attr: {},
  },
  {
    item: { key: "customerName", title: "需求客户" },
    attr: {},
  },
  {
    item: { key: "demandDate", title: "需求时间" },
    attr: {},
  },
 
]
